<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".UuidActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:background="@drawable/shape_bg_gradient">

        <ImageView
            android:layout_width="94dp"
            android:layout_height="103dp"
            android:layout_marginTop="28dp"
            android:background="@drawable/img1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:layout_width="235dp"
            android:layout_height="200dp"
            android:layout_marginStart="72dp"
            android:layout_marginTop="60dp"
            android:background="@drawable/img1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:layout_width="144dp"
            android:layout_height="151dp"
            android:layout_marginStart="320dp"
            android:layout_marginTop="32dp"
            android:background="@drawable/img1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/uuid_back"
            android:layout_width="56dp"
            android:layout_height="51dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:background="@drawable/back"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/uuid_welcome"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="36dp"
            android:layout_marginTop="28dp"
            android:text="欢迎使用"
            android:textColor="@color/black"
            android:textStyle="bold"
            android:textSize="30sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/uuid_back" />

        <ImageView
            android:layout_width="63dp"
            android:layout_height="59dp"
            android:layout_marginTop="84dp"
            android:background="@drawable/flower"
            app:layout_constraintStart_toEndOf="@id/uuid_welcome"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="2"
        android:background="@drawable/uuid_background"
        android:orientation="vertical">


        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginTop="116dp"
            android:text="@string/only"
            android:textColor="@color/uuid_text_color"
            android:textSize="25sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <EditText
            android:id="@+id/uuid_text"
            android:layout_width="300dp"
            android:layout_height="35dp"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginTop="172dp"
            android:background="@drawable/ed_bg"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <Button
            android:id="@+id/btn_send"
            android:layout_width="211dp"
            android:layout_height="51dp"
            android:layout_marginTop="52dp"
            android:background="@drawable/button"
            android:text="@string/confirm"
            android:textSize="20sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/uuid_text" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</LinearLayout>